CREATE TABLE LogTmCostos ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ItemCom INT DEFAULT ((0)) NOT NULL,
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCiaGuia CHAR(2) NOT NULL,
NumEntrada INT DEFAULT ((0)) NOT NULL,
IdCiaEnt CHAR(2) NOT NULL,
ItemEnt INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntrada DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
NitProv VARCHAR(16) NOT NULL,
CdEstacion VARCHAR(4),
Modalidad VARCHAR(10),
IdSubgrupo VARCHAR(8),
NumFactura VARCHAR(15),
FechaFactura SMALLDATETIME,
FecDespacho SMALLDATETIME,
FecDescargue SMALLDATETIME,
TipoAju VARCHAR(3),
NumAjuInv INT DEFAULT ((0)) NOT NULL,
IdCiaAju CHAR(2),
CantAjuste DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Descripcion VARCHAR(1000),
Unidad VARCHAR(50),
Estacion VARCHAR(50),
Proveedor VARCHAR(250)
 CONSTRAINT PK_LogTmCostos PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmCostosIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_LogTmCostosIdCiaEnt CHECK ((len([IdCiaEnt])>(0))),
 CONSTRAINT CK_LogTmCostosIdCiaGuia CHECK ((len([IdCiaGuia])>(0))),
 CONSTRAINT CK_LogTmCostosIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmCostosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmCostosNitProv CHECK ((len([NitProv])>(0))),
 CONSTRAINT CK_LogTmCostosTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_LogTmCostosUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE LogTmCrudo ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(1000),
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUnit DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarDct VARCHAR(4),
Producto VARCHAR(250),
Unidad VARCHAR(50),
CdMoneda VARCHAR(5),
IdSubgrupo VARCHAR(8),
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntrada DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UMCargue VARCHAR(10),
UMEntrada VARCHAR(10),
TipDoc VARCHAR(3),
NumDoc INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2),
ItemDoc INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_LogTmCrudo PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmCrudoIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmCrudoIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmCrudoUndMed CHECK ((len([UndMed])>(0))))
GO
